> For the complete documentation index, see [llms.txt](https://docs.scaleconnect.com.au/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scaleconnect.com.au/api/rest-api/scaleapp-rest-api/portfolio-overview.md).

# Portfolio Overview

Portfolio dashboard, metrics, and analytics

## GET /v1/portfolio-overview/clone-strategy/{id}

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/clone-strategy/{id}":{"get":{"operationId":"OverviewController_cloneControlCentre_v1","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}},{"name":"destination","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## Get strategy/control centre list

> Retrieves list of sub-strategies/control centres for strategy management.

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"StrategyListResponseDto":{"type":"object","properties":{"subControlCentres":{"description":"Array of sub-strategies/control centres","type":"array","items":{"$ref":"#/components/schemas/StrategyDto"}}},"required":["subControlCentres"]},"StrategyDto":{"type":"object","properties":{"id":{"type":"string","description":"Strategy identifier"},"name":{"type":"string","description":"Strategy name"},"createdAt":{"type":"string","description":"When strategy was created","format":"date-time"},"updatedAt":{"type":"string","description":"When strategy was last updated","format":"date-time"}},"required":["id","name","createdAt","updatedAt"]}}},"paths":{"/v1/portfolio-overview/strategy/{id}":{"get":{"description":"Retrieves list of sub-strategies/control centres for strategy management.","operationId":"OverviewController_getControlCentre_v1","parameters":[{"name":"id","required":true,"in":"path","description":"Control centre identifier (UUID)","schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved strategy list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrategyListResponseDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Strategy not found"}},"summary":"Get strategy/control centre list","tags":["Portfolio Overview"]}}}}
```

## DELETE /v1/portfolio-overview/strategy/{id}

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/strategy/{id}":{"delete":{"operationId":"OverviewController_deleteControlCentre_v1","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## POST /v1/portfolio-overview/rename-strategy/{id}

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"UpdateStrategyDto":{"type":"object","properties":{}}}},"paths":{"/v1/portfolio-overview/rename-strategy/{id}":{"post":{"operationId":"OverviewController_renameControlCentre_v1","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStrategyDto"}}}},"responses":{"201":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/update-log/{strategyId}

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/update-log/{strategyId}":{"get":{"operationId":"OverviewController_getUpdateLog_v1","parameters":[{"name":"strategyId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## Get comprehensive portfolio dashboard data

> Retrieves complete portfolio overview including properties, cashflow, funding, growth metrics, and tax position for the portfolio dashboard. Optionally accepts a userId query parameter for brokers to fetch client data.

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PortfolioOverviewResponseDto":{"type":"object","properties":{"properties":{"description":"Array of properties in the portfolio","type":"array","items":{"$ref":"#/components/schemas/PropertyOverviewDto"}},"history":{"description":"Portfolio-wide value history","type":"array","items":{"$ref":"#/components/schemas/PropertyHistoryDto"}},"cashflow":{"description":"Portfolio cashflow metrics","allOf":[{"$ref":"#/components/schemas/CashflowDto"}]},"funding":{"description":"Portfolio funding position","allOf":[{"$ref":"#/components/schemas/FundingDto"}]},"growthAndReturns":{"description":"Growth and returns metrics","allOf":[{"$ref":"#/components/schemas/GrowthAndReturnsDto"}]},"tax":{"description":"Tax position and benefits","allOf":[{"$ref":"#/components/schemas/TaxDto"}]},"keyMetrics":{"description":"Key performance metrics","allOf":[{"$ref":"#/components/schemas/KeyMetricsDto"}]}},"required":["properties","history","cashflow","funding","growthAndReturns","tax","keyMetrics"]},"PropertyOverviewDto":{"type":"object","properties":{"date":{"type":"string","description":"Date for this historical value","format":"date"},"value":{"type":"number","description":"Property value at this date"},"avmValue":{"type":"number","description":"AVM value at this date"},"percentChange":{"type":"number","description":"Percentage change from previous period"},"appraisedValue":{"type":"number","description":"Appraised value at this date"}},"required":["date","value","avmValue","percentChange","appraisedValue"]},"PropertyHistoryDto":{"type":"object","properties":{"date":{"type":"string","description":"Date for this historical value","format":"date"},"value":{"type":"number","description":"Property value at this date"},"avmValue":{"type":"number","description":"AVM value at this date"},"percentChange":{"type":"number","description":"Percentage change from previous period"},"appraisedValue":{"type":"number","description":"Appraised value at this date"}},"required":["date","value","avmValue","percentChange","appraisedValue"]},"CashflowDto":{"type":"object","properties":{"netCashflow":{"type":"number","description":"Net monthly cashflow"},"annualProjection":{"type":"number","description":"Projected annual cashflow"},"rentalIncome":{"type":"number","description":"Total rental income"},"netCashflowPercent":{"type":"number","description":"Net cashflow as percentage"},"operatingExpenses":{"type":"number","description":"Operating expenses"},"debtService":{"type":"number","description":"Debt service payments"},"rent":{"description":"Rent details","allOf":[{"$ref":"#/components/schemas/RentDetailDto"}]},"noi":{"description":"Net operating income details","allOf":[{"$ref":"#/components/schemas/NoiDetailDto"}]},"cash":{"description":"Cash details","allOf":[{"$ref":"#/components/schemas/CashDetailDto"}]}},"required":["netCashflow","annualProjection","rentalIncome","operatingExpenses","debtService","rent","noi","cash"]},"RentDetailDto":{"type":"object","properties":{"monthly":{"type":"number","description":"Monthly rental income"},"grossYield":{"type":"number","description":"Gross rental yield (percentage)"}},"required":["monthly","grossYield"]},"NoiDetailDto":{"type":"object","properties":{"monthly":{"type":"number","description":"Monthly net operating income"},"netYield":{"type":"number","description":"Net yield (percentage)"}},"required":["monthly","netYield"]},"CashDetailDto":{"type":"object","properties":{"monthly":{"type":"number","description":"Monthly cash amount"},"profitMargin":{"type":"number","description":"Profit margin (percentage)"}},"required":["monthly","profitMargin"]},"FundingDto":{"type":"object","properties":{"equity":{"type":"number","description":"Total equity in portfolio"},"debt":{"type":"number","description":"Total debt in portfolio"},"lvr":{"type":"number","description":"Loan-to-Value Ratio (percentage)"},"equityAvailable":{"type":"number","description":"Available equity that can be accessed"},"repaid":{"type":"number","description":"Principal repaid to date"},"payment":{"description":"Total loan payment details","allOf":[{"$ref":"#/components/schemas/PaymentDetailDto"}]},"interest":{"description":"Interest payment details","allOf":[{"$ref":"#/components/schemas/PaymentDetailDto"}]},"principal":{"description":"Principal payment details","allOf":[{"$ref":"#/components/schemas/PaymentDetailDto"}]},"debtPayback":{"description":"Debt payback details","allOf":[{"$ref":"#/components/schemas/PaybackDetailDto"}]},"equityPayback":{"description":"Equity payback details","allOf":[{"$ref":"#/components/schemas/PaybackDetailDto"}]},"monthlyPayment":{"description":"Monthly payment details","allOf":[{"$ref":"#/components/schemas/MonthlyPaymentDetailDto"}]}},"required":["equity","debt","lvr","equityAvailable","repaid","payment","interest","principal","debtPayback","equityPayback","monthlyPayment"]},"PaymentDetailDto":{"type":"object","properties":{"monthly":{"type":"number","description":"Monthly payment amount"},"annually":{"type":"number","description":"Annual payment amount"}},"required":["monthly","annually"]},"PaybackDetailDto":{"type":"object","properties":{"date":{"type":"string","description":"Date of debt payback","format":"date"},"years":{"type":"number","description":"Years to pay off debt"}},"required":["date","years"]},"MonthlyPaymentDetailDto":{"type":"object","properties":{"total":{"type":"number","description":"Total monthly payment"},"interest":{"type":"number","description":"Interest payment amount"},"principal":{"type":"number","description":"Principal payment amount"},"interestOffset":{"type":"number","description":"Interest offset amount"}},"required":["total","interest","principal","interestOffset"]},"GrowthAndReturnsDto":{"type":"object","properties":{"valueTarget":{"description":"Value target","allOf":[{"$ref":"#/components/schemas/ValueTargetDto"}]},"capitalGrowth":{"description":"Capital growth metrics","allOf":[{"$ref":"#/components/schemas/GrowthMetricDto"}]},"equityGrowth":{"description":"Equity growth metrics","allOf":[{"$ref":"#/components/schemas/GrowthMetricDto"}]},"equityAvailableTarget":{"description":"Equity available target","allOf":[{"$ref":"#/components/schemas/ValueTargetDto"}]}},"required":["valueTarget","capitalGrowth","equityGrowth","equityAvailableTarget"]},"ValueTargetDto":{"type":"object","properties":{"value":{"type":"number","description":"Value target"},"years":{"type":"number","description":"Years to reach value target"}},"required":["value","years"]},"GrowthMetricDto":{"type":"object","properties":{"value":{"type":"number","description":"Growth value in dollars"},"percent":{"type":"number","description":"Growth percentage"},"percentPerYear":{"type":"number","description":"Annualized growth percentage"}},"required":["value","percent","percentPerYear"]},"TaxDto":{"type":"object","properties":{"year":{"type":"number","description":"Year"},"saved":{"type":"number","description":"Saved tax"},"cgtPayable":{"description":"CGT payable","allOf":[{"$ref":"#/components/schemas/CgtPayableDto"}]},"taxableIncome":{"type":"number","description":"Taxable income from properties"},"negativeGearing":{"type":"number","description":"Negative gearing"},"positiveGearing":{"type":"number","description":"Positive gearing"},"unrealisedCapitalGain":{"description":"Unrealised capital gain","allOf":[{"$ref":"#/components/schemas/UnrealisedCapitalGainDto"}]}},"required":["year","saved","cgtPayable","taxableIncome","negativeGearing","positiveGearing","unrealisedCapitalGain"]},"CgtPayableDto":{"type":"object","properties":{"value":{"type":"number","description":"CGT payable value"},"effectiveTaxRate":{"type":"number","description":"Effective tax rate"}},"required":["value","effectiveTaxRate"]},"UnrealisedCapitalGainDto":{"type":"object","properties":{"value":{"type":"number","description":"Unrealised capital gain value"},"percentPerYear":{"type":"number","description":"Unrealised capital gain percentage per year"}},"required":["value","percentPerYear"]},"KeyMetricsDto":{"type":"object","properties":{"dcr":{"type":"number","description":"Debt Coverage Ratio"},"grm":{"type":"number","description":"Gross Rent Multiplier"},"icr":{"type":"number","description":"Interest Coverage Ratio"},"nrm":{"type":"number","description":"Net Rent Multiplier"},"roe":{"type":"number","description":"Return on Equity (percentage)"},"roi":{"type":"number","description":"Return on Investment (percentage)"},"cocr":{"type":"number","description":"Cost of Capital Ratio"},"moic":{"type":"number","description":"Money on Money Ratio"},"rodc":{"type":"number","description":"Return on Development Capital"},"debtYield":{"type":"number","description":"Debt Yield (percentage)"},"equityIrr":{"type":"number","description":"Equity Internal Rate of Return (percentage)"}},"required":["dcr","grm","icr","nrm","roe","roi","cocr","moic","rodc","debtYield","equityIrr"]}}},"paths":{"/v1/portfolio-overview":{"get":{"description":"Retrieves complete portfolio overview including properties, cashflow, funding, growth metrics, and tax position for the portfolio dashboard. Optionally accepts a userId query parameter for brokers to fetch client data.","operationId":"OverviewController_getOverview_v1","parameters":[{"name":"userId","required":false,"in":"query","description":"Optional user ID for brokers to fetch a client's portfolio overview","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved portfolio overview","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PortfolioOverviewResponseDto"}}}},"401":{"description":"Unauthorized"}},"summary":"Get comprehensive portfolio dashboard data","tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/stampduty

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/stampduty":{"get":{"operationId":"OverviewController_getStampDuty_v1","parameters":[{"name":"price","required":true,"in":"query","schema":{"type":"number"}},{"name":"state","required":true,"in":"query","schema":{"type":"string"}},{"name":"residence","required":true,"in":"query","schema":{"type":"string"}},{"name":"firstHomeBuyer","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/main-house-floor-space

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/main-house-floor-space":{"get":{"operationId":"OverviewController_getMainHouseFloorSpace_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}},{"name":"userId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/total-floor-space

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/total-floor-space":{"get":{"operationId":"OverviewController_getTotalFloorSpace_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/trigger-for-deemed-acquisition-modal

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/trigger-for-deemed-acquisition-modal":{"get":{"operationId":"OverviewController_getTriggerForDeemedAcquisitionModal_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/cgt-liability-status

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/cgt-liability-status":{"get":{"operationId":"OverviewController_getCgtLiabilityStatus_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}},{"name":"userId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/current-property-use

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/current-property-use":{"get":{"operationId":"OverviewController_getCurrentPropertyUse_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/capital-gains-tax-alert

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/capital-gains-tax-alert":{"get":{"operationId":"OverviewController_getCapitalGainsTaxAlert_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/property-value

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/property-value":{"get":{"operationId":"OverviewController_getPropertyValue_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}},{"name":"userId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/estimated-net-capital-gain

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/estimated-net-capital-gain":{"get":{"operationId":"OverviewController_getEstimatedNetCapitalGain_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/debt-outstanding

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/debt-outstanding":{"get":{"operationId":"OverviewController_getDebtOutstanding_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/offset-account-balance

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/offset-account-balance":{"get":{"operationId":"OverviewController_getOffsetAccountBalance_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/applied-interest-rate

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/applied-interest-rate":{"get":{"operationId":"OverviewController_getAppliedInterestRate_v1","parameters":[{"name":"propertyId","required":true,"in":"query","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}},{"name":"userId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/hecs-outstanding

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/hecs-outstanding":{"get":{"operationId":"OverviewController_getHecsOutstanding_v1","parameters":[{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/strategy/{strategyId}/hecs-outstanding

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/strategy/{strategyId}/hecs-outstanding":{"get":{"operationId":"OverviewController_getStrategyHecsOutstanding_v1","parameters":[{"name":"strategyId","required":true,"in":"path","schema":{"type":"string"}},{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/hecs-outstanding-partner

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/hecs-outstanding-partner":{"get":{"operationId":"OverviewController_getHecsOutstandingPartner_v1","parameters":[{"name":"date","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```

## GET /v1/portfolio-overview/{id}

>

```json
{"openapi":"3.0.0","info":{"title":"ScaleApp API","version":"1.0.0"},"tags":[{"name":"Portfolio Overview","description":"Portfolio dashboard, metrics, and analytics"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/portfolio-overview/{id}":{"get":{"operationId":"OverviewController_getSinglePropertyOverview_v1","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["Portfolio Overview"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.scaleconnect.com.au/api/rest-api/scaleapp-rest-api/portfolio-overview.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
